SDL_TextEditingCandidatesEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
const char *const * | candidates
Sint32 | num_candidates
Sint32 | selected_candidate
bool | horizontal
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

Keyboard IME candidates event structure (event.edit_candidates.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 391 of file SDL_events.h.

## Field Documentation

## candidates

const char* const* SDL_TextEditingCandidatesEvent::candidates

The list of candidates, or NULL if there are no candidates available

Definition at line 397 of file SDL_events.h.

## horizontal

bool SDL_TextEditingCandidatesEvent::horizontal

true if the list is horizontal, false if it's vertical

Definition at line 400 of file SDL_events.h.

## num_candidates

Sint32 SDL_TextEditingCandidatesEvent::num_candidates

The number of strings in `candidates`

Definition at line 398 of file SDL_events.h.

## padding1

Uint8 SDL_TextEditingCandidatesEvent::padding1

Definition at line 401 of file SDL_events.h.

## padding2

Uint8 SDL_TextEditingCandidatesEvent::padding2

Definition at line 402 of file SDL_events.h.

## padding3

Uint8 SDL_TextEditingCandidatesEvent::padding3

Definition at line 403 of file SDL_events.h.

## reserved

Uint32 SDL_TextEditingCandidatesEvent::reserved

Definition at line 394 of file SDL_events.h.

## selected_candidate

Sint32 SDL_TextEditingCandidatesEvent::selected_candidate

The index of the selected candidate, or -1 if no candidate is selected

Definition at line 399 of file SDL_events.h.

## timestamp

Uint64 SDL_TextEditingCandidatesEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 395 of file SDL_events.h.

## type

SDL_EventType SDL_TextEditingCandidatesEvent::type

SDL_EVENT_TEXT_EDITING_CANDIDATES

Definition at line 393 of file SDL_events.h.

## windowID

SDL_WindowID SDL_TextEditingCandidatesEvent::windowID

The window with keyboard focus, if any

Definition at line 396 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h